Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 207031 - gnome-base/gnome-vfs contains an internal copy of neon
Summary: gnome-base/gnome-vfs contains an internal copy of neon
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-22 13:09 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2008-09-24 09:33 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-01-22 13:09:03 UTC
[And the funny thing is that it depends on it...]

0000000000014bc0 T ne_207_create
0000000000014a40 T ne_207_destroy
0000000000014a20 T ne_207_get_current_propstat
0000000000014a10 T ne_207_get_current_response
0000000000014a00 T ne_207_set_propstat_handlers
00000000000149f0 T ne_207_set_response_handlers
0000000000018340 T ne__negotiate_ssl
000000000000d530 T ne__reqhook_pre_send
0000000000014a30 T ne_accept_207
000000000000d280 T ne_accept_2xx
000000000000d270 T ne_accept_always
0000000000017e30 T ne_acl_set
000000000000fae0 T ne_add_depth_header
000000000000dd50 T ne_add_request_header
000000000000d400 T ne_add_response_body_reader
0000000000018a60 T ne_addr_destroy
0000000000018a20 T ne_addr_error
0000000000018ae0 T ne_addr_first
0000000000018aa0 T ne_addr_next
0000000000018b30 T ne_addr_resolve
00000000000180e0 T ne_addr_result
0000000000012ab0 T ne_ascii_to_md5
00000000000119b0 T ne_asctime_parse
0000000000010680 T ne_base64
000000000000e8e0 T ne_begin_request
00000000000104a0 T ne_buffer_altered
0000000000010d30 T ne_buffer_append
0000000000010f10 T ne_buffer_clear
0000000000010de0 T ne_buffer_concat
0000000000010850 T ne_buffer_create
0000000000010b70 T ne_buffer_destroy
0000000000010b60 T ne_buffer_finish
0000000000010d00 T ne_buffer_grow
0000000000010800 T ne_buffer_ncreate
0000000000010da0 T ne_buffer_zappend
0000000000012030 T ne_calloc
000000000000f4c0 T ne_close_connection
[....]
Comment 1 Andrew Cowie 2008-01-22 13:47:03 UTC
Is that something Gentoo's ebuild introduces, or GNOME ships?

Once upon a time neon was a dependency of evolution, but maybe they froze it in for some (bad, but hey) reason

AfC
Comment 2 Gilles Dartiguelongue gentoo-dev 2008-01-22 13:54:26 UTC
I just checked out the code to make sure. We add a RDEPEND on neon while gnome-vfs doesn't allow building with system's library.

Last date in the imported lib's Changelog is "Sun Sep 12 19:21:30 2004" so I guess it's pretty old.
Comment 3 Gilles Dartiguelongue gentoo-dev 2008-04-05 16:53:11 UTC
for 2.22, I just removed the dep. Not sure this is ever going to be fixed unless we are provided with patches because gnome-vfs is supposed to die in favor of gvfs.
Comment 4 Rémi Cardona gentoo-dev 2008-09-24 09:33:42 UTC
No-one cares about gnome-vfs now, we'll just let it slowly die away :)

And FWIW, gvfs now uses libsoup...